Migrate to maintained version of node-resolve plugin

Forwarded: https://github.com/martinandert/inflected/pull/22

--- a/rollup.config.js
+++ b/rollup.config.js
@@ -1,4 +1,4 @@
-import resolve from 'rollup-plugin-node-resolve';
+import { nodeResolve } from '@rollup/plugin-node-resolve';
 import babel from 'rollup-plugin-buble';
 
 const pkg = require('./package.json');
@@ -6,7 +6,7 @@
 export default {
   input: 'src/index.js',
   plugins: [
-    resolve(),
+    nodeResolve(),
     babel({
       exclude: 'node_modules/**',
     }),
